%define upstream_name    Games-Risk
%define upstream_version 3.112820

Name:       prisk
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Classical 'risk' board game
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir::PathClass)
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(FindBin)
BuildRequires: perl(Hash::NoRef)
BuildRequires: perl(Image::Magick)
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::POE)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Kernel)
BuildRequires: perl(POE::Loop::Tk)
BuildRequires: perl(Path::Class) >= 0.220.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Padding)
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Action)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::BrowseEntry)
BuildRequires: perl(Tk::Font)
BuildRequires: perl(Tk::JPEG)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Pane)
BuildRequires: perl(Tk::Pod::Text)
BuildRequires: perl(Tk::Role::Dialog) >= 1.112.380
BuildRequires: perl(Tk::Role::HasWidgets) >= 1.112.70
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(Tk::TableMatrix)
BuildRequires: perl(Tk::ToolBar)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Suggests: prisk-maps-countries
Suggests: prisk-maps-history
Suggests: prisk-maps-imaginary

%description
Risk is a strategic turn-based board game. Players control armies, with
which they attempt to capture territories from other players. The goal of
the game is to control all the territories ('conquer the world') through
the elimination of the other players. Using area movement, Risk ignores
realistic limitations, such as the vast size of the world, and the
logistics of long campaigns.

This distribution implements a graphical interface for this game.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
# xvfb-run is broken currently, even if all the tests pass :-(
#xvfb-run ./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%doc Changes HACKING LICENSE META.json META.yml README
%{_bindir}/prisk
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Oct 14 2011 jquelin <jquelin> 3.112.820-2.mga2
+ Revision: 155151
- perl 5.14.2 rebuild

* Thu Oct 13 2011 jquelin <jquelin> 3.112.820-1.mga2
+ Revision: 154311
- update to 3.112820

* Wed Sep 28 2011 jquelin <jquelin> 3.112.710-1.mga2
+ Revision: 149868
- update to 3.112710

* Wed Sep 28 2011 jquelin <jquelin> 3.112.690-2.mga2
+ Revision: 149846
- adding extra maps as suggests:

* Mon Sep 26 2011 jquelin <jquelin> 3.112.690-1.mga2
+ Revision: 148666
- update to 3.112690

* Tue Sep 20 2011 jquelin <jquelin> 3.112.590-1.mga2
+ Revision: 145998
- update to 3.112590

* Tue Aug 30 2011 jquelin <jquelin> 3.112.410-1.mga2
+ Revision: 136547
- update to 3.112410
- update to 3.112010

* Sun Jun 19 2011 jquelin <jquelin> 3.103.40-2.mga2
+ Revision: 109903
- rebuild script for perl 5.14.1

* Wed Jan 26 2011 jquelin <jquelin> 3.103.40-1.mga1
+ Revision: 40778
- mageia rebuild
- imported package prisk

